[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: apt-error

On Tue, Mar 28, 2000 at 01:00:31PM -0800, Chris Baker wrote:
> Jim Ziegler <jcz@ziplink.net> writes:
> [...]
> > I have a similar problem with mvme167.  Ftp'd slink boot disks, base, etc.
> > Set up to use tftp from an i86 Debian system.  Boot went ok, install
> > of boot disks and base system went ok.  Skipped dselect step.
> > Did not update sources.list so they are as supplied on the base system.
> > Did apt-get update, all ok.  Did apt-get upgrade, apt and dpkg were
> > upgraded.  After which apt-get <update!install!upgrade> segfaults.
> I might have had this same problem.  It segfaults building the package
> list, IIRC.  I moved /var/cache/apt/pkgcache.bin to a backup file and
> did a `apt-get update' again and it worked fine.
apt not backwards compatible? Which version of apt is in the base system?
In slink/main/binary-m68k/admin I see
 434486 Sep  1  1999 apt_0.3.10slink11.deb 
What makes me wonder is the date, wasnt slink in april99? How could a new
apt be in slink (note not slink-proposed-updates!) with a september date.
I am pretty sure that the boot-floppies were not upgraded:
ii  apt         Front-End for dpkg
So there was a major version jump, I dont remember using that version...

Read the FAQ!                     http://www.linux-m68k.org/faq/faq.html
Download the FAQ!   ftp://ftp.uni-erlangen.de/pub/Linux/680x0/FAQ/FAQ.gz
WHERE IS MY XF86CONFIG?????   http://www.debian.org/~cts/debian-m68k-faq

Reply to: